Subject: Re: bug#62936: [core-updates] pre-inst-env no longer works

From: Ludovic Courtès <[email-masked]>
Date: Wed, 19 Apr 2023 15:41:56 +0200

Hi,

Brian Cully <[email-masked]> skribis:

> git/bindings.scm:66:8: In procedure git_libgit2_init: Function not 
> implemented

That indicates that Guile-Git failed to load libgit2.so, which could be
because libgit2.so is linked against a different libc version (since
you’re testing core-updates).

Make sure everything is in sync, and use ‘guix shell -D guix -C’ to
avoid interference!

Thanks,
Ludo’.